Bug 1797427 - 'dnf system-upgrade download' misleading message
Summary: 'dnf system-upgrade download' misleading message
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 31
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Jaroslav Mracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-03 06:51 UTC by Amita Sharma
Modified: 2020-04-18 00:07 UTC (History)
8 users (show)

Fixed In Version: dnf-4.2.21-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-18 00:07:06 UTC
Type: Bug


Attachments (Terms of Use)

Description Amita Sharma 2020-02-03 06:51:56 UTC
[root@localhost ~]# sudo dnf system-upgrade download --releasever=31
Before you continue ensure that your system is fully upgraded by running "dnf --refresh upgrade". Do you want to continue [y/N]: N
Error: Operation aborted.


This should not say "Error" if use choose option "N".

Also, why small "y" and a capital "N" in "Do you want to continue [y/N]:" 
It should be consistent for both letters.

Comment 1 Jaroslav Mracek 2020-02-04 09:45:15 UTC
I create a patch https://github.com/rpm-software-management/dnf-plugins-extras/pull/172 that fix the output to:

sudo dnf system-upgrade download --releasever=31
Before you continue ensure that your system is fully upgraded by running "dnf --refresh upgrade". Do you want to continue [y/N]: N
Operation aborted.

Comment 2 Marek Blaha 2020-02-04 12:10:40 UTC
As far as the capitalisation is concerned - the capital N just indicates the default. If you hit the Enter, the default (n in this case) is used.

Comment 3 Fedora Update System 2020-04-02 12:50:22 UTC
FEDORA-2020-d51dbe83a9 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-d51dbe83a9

Comment 4 Fedora Update System 2020-04-03 20:49:53 UTC
FEDORA-2020-d51dbe83a9 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-d51dbe83a9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d51dbe83a9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-04-18 00:07:06 UTC
FEDORA-2020-d51dbe83a9 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.